Subject: Solved! (Was: Re: bug#23368: 25.0.92; xftfont.c has got a bug)

From: 野宮 賢 / NOMIYA Masaru <[email-masked]>
Date: Sat, 28 May 2016 19:17:50 +0900

Hello,

In the Message; 

  Subject    : Re: bug#23368: 25.0.92; xftfont.c has got a bug
  Message-ID : <[email-masked]>
  Date & Time: Mon, 09 May 2016 23:45:11 +0900

handa <[email-masked]> has written:

> In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> > Ping!

> Oops, sorry for the late response.

> > > > Date: Mon, 25 Apr 2016 15:02:40 +0900
> > > > From: Masaru Nomiya <[email-masked]>
> > > > 
> > > > Hello,
> > > > 
> > > > With Emacs 25.0.92, Emacs 25.0.93, and Emacs 25.1.50, Emacs start to
> > > > use 100% CPU.
> > > > That is, afetr I start Wanderlust(MUA) on Emacs, and try to open some
> > > > folders in it, Emacs starts to use 100% CPU, and unresposible.
> > > > 
> > > > I investigated the latest Emacs with git bisect.
> > > > As a result, I found that xftfont.c has got a bug as follows.
> > > 
> > > CC'ing Handa-san.  This seems to be a duplicate of bug#23360.  Can you
> > > tell which font(s) are used by Wanderlust when this happens?

> I re-read the latest xftfont_open of xftfont.c, but couldn't find a
> problem.  And, as I'm not using Wanderlust, I couldn't reproduce the
> problem.

> Could someone please find a way to reproduce the problem on GNU/Linux
> system by Emacs started with -Q.

I checked all the related files one by one. :-)
I found thst the CPU 100% usage's cause is fontconfig.
In my system, the fontconfig is 2.11.1.
I reverted this to 2.10.2's fontconfig, then problem has disappeared!

I wonder if the 2.11.1's fontconfig has got a bug?
Maybe not.

But waht's the matter, I wonder.

Thanks,

---
 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp